dbXML API

## com.dbxml.db.core.system
Class Sequencer

    java.lang.Object
      com.dbxml.util.SimpleConfigurable
          com.dbxml.db.core.extension.SimpleExtension
              com.dbxml.db.core.system.Sequencer

All Implemented Interfaces:
  Configurable, Extension

public final class Sequencer
extends SimpleExtension

Sequencer is a system-level sequencer for creating auto-incrementing values. It operates in a similar fashion to how Interbase performs auto-incrementing. You use the methods to create and retrieve values from named sequences. These sequences don't have to be explicitly associated with any particular Collection, which allows them to be shared between Collections, or even Databases and Servers for that matter.

Field Summary
`static java.lang.String[]` `PARAMS_create`
`static java.lang.String[]` `PARAMS_createValue`
`static java.lang.String[]` `PARAMS_next`
`static java.lang.String[]` `PARAMS_remove`
`static java.lang.String[]` `PARAMS_reset`

Constructor Summary
`Sequencer()`

Method Summary
`void` `create(java.lang.String name)`
`void` `createValue(java.lang.String name, long value)`
`java.lang.String[]` `list()`
`long` `next(java.lang.String name)`
`void` `remove(java.lang.String name)`
`void` `reset(java.lang.String name, long value)`

Methods inherited from class com.dbxml.db.core.extension.SimpleExtension
`getCollection, getName, setCollection, setConfig`

Methods inherited from class com.dbxml.util.SimpleConfigurable
`getConfig`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.dbxml.util.Configurable
`getConfig`

Field Detail

### PARAMS_create

    public static final java.lang.String[] PARAMS_create

### PARAMS_createValue

    public static final java.lang.String[] PARAMS_createValue

### PARAMS_remove

    public static final java.lang.String[] PARAMS_remove

### PARAMS_reset

    public static final java.lang.String[] PARAMS_reset

### PARAMS_next

    public static final java.lang.String[] PARAMS_next

Constructor Detail

### Sequencer

    public Sequencer()

Method Detail

### create

    public void create(java.lang.String name)

### createValue

    public void createValue(java.lang.String name,
                            long value)

### remove

    public void remove(java.lang.String name)

### reset

    public void reset(java.lang.String name,
                      long value)

### next

    public long next(java.lang.String name)

### list

    public java.lang.String[] list()

dbXML API

Copyright (c) 2004 The dbXML Group